Outlook

Integrate your application with the Outlook API

🚀 Quickstart

Connect to Outlook with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Outlook. Tenklo doesn't provide a test OAuth app for Outlook yet. You'll need to set up your own by following the setup guide linked below. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Authorize Outlook

Go to Connections -> Add Test Connection -> Authorize, then log in to Outlook. Later, you'll let your users do the same directly from your app.

Call the Outlook API

Let's make your first request to the Outlook (Microsoft Graph) API (fetch the profile of the currently signed-in user). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1.0/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Outlook Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Microsoft Graph API documentation

🧩 Pre-built syncs & actions for Outlook

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-event-attachmentAttach a small file (under 3 MB) to an Outlook event.Action🔗 Github
add-message-attachmentAttach a file to a draft message. Note: 3 MB simple upload limit applies.Action🔗 Github
cancel-eventCancel a meeting and send the cancellation notice to attendeesAction🔗 Github
copy-messageCopy a message to another mail folder.Action🔗 Github
create-calendarCreate a secondary calendar in the mailbox.Action🔗 Github
create-draft-messageCreate a draft email messageAction🔗 Github
create-eventCreate an event on a calendar.Action🔗 Github
create-mail-folderCreate a child mail folder in Outlook.Action🔗 Github
delete-calendarDelete a secondary calendar.Action🔗 Github
delete-eventDelete an event from a calendar.Action🔗 Github
delete-messageDelete a message from the mailboxAction🔗 Github
download-message-attachmentDownload the content of a file attachment on a message.Action🔗 Github
get-calendarRetrieve a calendar by ID.Action🔗 Github
get-eventRetrieve an event by ID from the user's calendarAction🔗 Github
get-messageRetrieve a message by ID.Action🔗 Github
list-calendar-eventsList events from a calendar or date window.Action🔗 Github
list-calendarsList calendars in the mailbox.Action🔗 Github
list-event-attachmentsList attachments on an event.Action🔗 Github
list-mail-folder-childrenList child folders under a mail folderAction🔗 Github
list-mail-foldersList top-level mail folders from the mailboxAction🔗 Github
list-message-attachmentsList attachments on a message.Action🔗 Github
list-messagesList messages from a mail folder.Action🔗 Github
move-messageMove a message to another mail folder.Action🔗 Github
reply-all-to-messageReply to all recipients on a messageAction🔗 Github
reply-to-messageReply to a message sender.Action🔗 Github
send-draft-messageSend an existing draft message.Action🔗 Github
send-mailSend a new email message immediatelyAction🔗 Github
update-calendarUpdate calendar properties.Action🔗 Github
update-eventUpdate event details in Outlook calendar.Action🔗 Github
update-messageUpdate a draft or mutable message fields.Action🔗 Github
calendarsSync mailbox calendars and basic calendar metadataSync🔗 Github
eventsSync events in a bounded calendar view with delta tokens.Sync🔗 Github
mail-foldersSync the mail folder hierarchySync🔗 Github
messagesSync folder-scoped messages with delta tokensSync🔗 Github

On this page